---
- hosts: cpiclust1
  gather_facts: False
  tasks:
  - name: Facters
    veritas_infoscale:
     module: site_facters
    register: facts
  - name: Start Product
    veritas_infoscale:
     module: process
     component: vcs
     product: enterprise
     product_version: '7.4.1'
# FQHN is not needed for seednode
     seednode: dl380g10-12-kvm-04
     edgeserver_hostname: telemetry.veritas.com
     edgeserver_port: '443'
     state: present
     facters: "{{ groups['all'] |map('extract', hostvars, ['facts','infoscale_facts'])| select()|list }}"